# TIMEX_CLUSTERING
Library for time-series-clustering-as-a-service.

[![Tests with PyTest](https://github.com/AlexMV12/TIMEX/actions/workflows/run_tests.yml/badge.svg)](https://github.com/AlexMV12/TIMEX/actions/workflows/run_tests.yml)
![Coverage](badges/coverage.svg)
![PyPI](https://img.shields.io/pypi/v/timexseries_clustering)
![PyPI - Downloads](https://img.shields.io/pypi/dm/timexseries_clustering)

TIMEX-CLUSTERING (referred in code as `timexseries_clustering`) is a framework for time-series-clustering-as-a-service.

Its main goal is to provide a simple and generic tool to build websites and, more in general,
platforms, able to provide the clustering of time-series in an "as-a-service" manner.

This means that users should interact with the service as less as possible.


## Installation
Installation is as simple as running:

`pip install timexseries_clustering`

## Get started
Please, refer to the Examples folder. You will find some Jupyter Notebook which illustrate
the main characteristics of TIMEX-CLUSTERING. A Notebook explaining the clustering of the new positive cases for the COVID-19 spread around the world, along with the source code of the site, [here](https://github.com/uGR17/TIMEX_CLUSTERING/blob/ff89d8b55826436ea74ba142e4129f57b3b7d786/examples/COVID_Clustering.ipynb).

## Documentation
The full documentation is available at [here](https://ugr17.github.io/TIMEX_CLUSTERING/timexseries_clustering/index.html).

## Contacts
If you have questions, suggestions or problems, feel free to open an Issue.
You can contact us at:

- uriel.guadarrama@polimi.it
- alessandro.falcetta@polimi.it
- manuel.roveri@polimi.it
